Bug 5194 - Unescaped backspace characters in smb.conf(5)
Unescaped backspace characters in smb.conf(5)
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Docs
3.2.0
Other Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba Documentation QA Contact~
http://bugs.debian.org/460492
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-13 05:11 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2008-03-09 03:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2008-01-13 05:11:06 UTC
From our user:

        Samba versions prior to 3.0.8  would  only  support  reading  the
                     fully  qualified username (e.g.: DOMAINser) from the username map

same here:
             When relying upon a external  domain  controller  for  validating
             authentication  requests, smbd will apply the username map to the
             fully qualified username (i.e. DOMAINser) only after the user has
             been successfully authenticated.


Indeed, this comes from the groff file having unescaped backspace characters:

Samba versions prior to 3.0.8 would only support reading the fully qualified username (e.g.: DOMAIN\user) from the

When relying upon a external domain controller for validating authentication requests, smbd will apply the usernam
e map to the fully qualified username (i.e. DOMAIN\user) only after the user has been successfully authenticated.
Comment 1 Karolin Seeger 2008-02-14 08:27:35 UTC
Fixed with revision 1241.

Thanks for reporting!
Comment 2 Debian samba package maintainers (PUBLIC MAILING LIST) 2008-03-09 03:22:59 UTC
(bubulle@debian.org talking)

Karolin, does "Fixed with revision 1241." mean this is fixed in 3.2.0-pre2?

From what I see, I'm not really sure it is....but the manpages are "slightly" screwed anyway... See #5303...